i=0;
tutor=false;
BlockCursor(true)
AddParticleToObject(35,"HighlightFountain");
MoveEmiter("HighlightFountain",510,530);
AddParticleToObject(obj.amfora44.id,"kuvshin");
MoveEmiter("kuvshin",489,495);

AddParticleToObject(obj.manuscript44.id,"manuskript");
MoveEmiter("manuskript",510,550);

AddParticleToObject(obj.a31.id,"WaterDrops1")
					MoveEmiter("WaterDrops1",397,122)
AddParticleToObject(obj.a32.id,"WaterDrops2")
					MoveEmiter("WaterDrops2",424,135)
AddParticleToObject(obj.a27.id,"WaterDrops3")
					MoveEmiter("WaterDrops3",446,128)
AddParticleToObject(obj.a30.id,"WaterDrops4")
					MoveEmiter("WaterDrops4",467,130)
AddParticleToObject(obj.a26.id,"WaterDrops5")
					MoveEmiter("WaterDrops5",554,124)
AddParticleToObject(obj.a28.id,"WaterDrops6")
					MoveEmiter("WaterDrops6",574,129)
AddParticleToObject(obj.a25.id,"WaterDrops7")
					MoveEmiter("WaterDrops7",597,125)
AddParticleToObject(obj.a29.id,"WaterDrops8")
					MoveEmiter("WaterDrops8",623,120)
------------------------------------------------------------
AddParticleToObject(201,"a31");
MoveEmiter("a31",171,562);
AddParticleToObject(202,"a32");
MoveEmiter("a32",198,567);
AddParticleToObject(203,"a27");
MoveEmiter("a27",225,560);
AddParticleToObject(204,"a30");
MoveEmiter("a30",251,570);
AddParticleToObject(205,"a26");
MoveEmiter("a26",277,561);
AddParticleToObject(206,"a28");
MoveEmiter("a28",301,568);
AddParticleToObject(207,"a25");
MoveEmiter("a25",327,561);
AddParticleToObject(208,"a29");
MoveEmiter("a29",352,566);



			AddParticleToObject(5500,"SvetMig");
MoveEmiter("SvetMig",388,625);
 StartEmiter("SvetMig");

AddParticleToObject(5501,"SvetMig1");
MoveEmiter("SvetMig1",180,193);
 StartEmiter("SvetMig1");

AddParticleToObject(5502,"SvetMig2");
MoveEmiter("SvetMig2",62,608);
 StartEmiter("SvetMig2");

AddParticleToObject(5503,"SvetMig3");
MoveEmiter("SvetMig3",175,350);
 StartEmiter("SvetMig3");

AddParticleToObject(5504,"SvetMig4");
MoveEmiter("SvetMig4",832,622);
 StartEmiter("SvetMig4");


AddParticleToObject(5505,"SvetMig5");
MoveEmiter("SvetMig5",870,455);
 StartEmiter("SvetMig5");


AddParticleToObject(5506,"SvetMig6");
MoveEmiter("SvetMig6",840,227);
StartEmiter("SvetMig6");


AddParticleToObject(5507,"SvetMig7");
MoveEmiter("SvetMig7",850,127);
StartEmiter("SvetMig7");


AddParticleToObject(5508,"SvetMig8");
MoveEmiter("SvetMig8",760,46);
StartEmiter("SvetMig8");

AddParticleToObject(5509,"SvetMig9");
MoveEmiter("SvetMig9",540,60);
StartEmiter("SvetMig9");

AddParticleToObject(5510,"SvetMig10");
MoveEmiter("SvetMig10",483,56);
StartEmiter("SvetMig10");

AddParticleToObject(5512,"SvetMig12");
MoveEmiter("SvetMig12",193,56);
StartEmiter("SvetMig12");

AddParticleToObject(5511,"SvetMig11");
MoveEmiter("SvetMig11",300,60);
StartEmiter("SvetMig11");
			
			
			

------------------------------------------------------------
id1 = 333
id0 = 336
now_attached = nil;
last_id = 0;
--сообщение после мини и взятия амфоры
function StartComics()
	if not flags.comics1 then			
				 set_text(5654547,"48")
				 StartTimer(352335,3,"plashka3")				
				function plashka3()
					speciale_action(4,5106);
					speciale_action(2,5106,true)	
					ShowMenu(false)
					StartTimer(546,2)
					set_visible_object(obj.plashechka.id,false)
					set_visible_object(obj.goodgirl.id,false)
					del_object_from_game(5654547)	
				return;end
				
	return;end;
end
--функция обменивает висюльки , свопает
function swap(name1, name2)

if not tutor then	
			if name1 =="a30" then
				set_visible_object(obj.arrow6.id,false)	
				tutor=true;	
				else
				
				return
			end
end




	obj[""..name1].x,obj[""..name2].x = obj[""..name2].x,obj[""..name1].x
	obj[""..name1].y,obj[""..name2].y = obj[""..name2].y,obj[""..name1].y
	obj[""..name1].pos,obj[""..name2].pos = obj[""..name2].pos,obj[""..name1].pos
	RemoveFromMouse(obj[""..name2].id)
	add_to_mouse(obj[""..name1].id)
	
								if obj[""..name1].id == obj.a25.id then  speciale_action(2,307)  set_visible_object(301,false)
	set_visible_object(302,false)
	set_visible_object(303,false)
	set_visible_object(304,false)
	set_visible_object(305,false)
	set_visible_object(306,false)
	
	set_visible_object(308,false)end
								if obj[""..name1].id == obj.a26.id then  speciale_action(2,305) set_visible_object(301,false)
	set_visible_object(302,false)
	set_visible_object(303,false)
	set_visible_object(304,false)
	
	set_visible_object(306,false)
	set_visible_object(307,false)
	set_visible_object(308,false)end
								if obj[""..name1].id == obj.a27.id then  speciale_action(2,303) set_visible_object(301,false)
	set_visible_object(302,false)
	
	set_visible_object(304,false)
	set_visible_object(305,false)
	set_visible_object(306,false)
	set_visible_object(307,false)
	set_visible_object(308,false)end
								if obj[""..name1].id == obj.a28.id then  speciale_action(2,306) set_visible_object(301,false)
	set_visible_object(302,false)
	set_visible_object(303,false)
	set_visible_object(304,false)
	set_visible_object(305,false)
	
	set_visible_object(307,false)
	set_visible_object(308,false)end
								if obj[""..name1].id == obj.a29.id then  speciale_action(2,308) set_visible_object(301,false)
	set_visible_object(302,false)
	set_visible_object(303,false)
	set_visible_object(304,false)
	set_visible_object(305,false)
	set_visible_object(306,false)
	set_visible_object(307,false)
	end
								if obj[""..name1].id == obj.a30.id then  speciale_action(2,304) set_visible_object(301,false)
	set_visible_object(302,false)
	set_visible_object(303,false)
	
	set_visible_object(305,false)
	set_visible_object(306,false)
	set_visible_object(307,false)
	set_visible_object(308,false)end
								if obj[""..name1].id == obj.a31.id then  speciale_action(2,301) 
	set_visible_object(302,false)
	set_visible_object(303,false)
	set_visible_object(304,false)
	set_visible_object(305,false)
	set_visible_object(306,false)
	set_visible_object(307,false)
	set_visible_object(308,false)end
								if obj[""..name1].id == obj.a32.id then  speciale_action(2,302) set_visible_object(301,false)
	
	set_visible_object(303,false)
	set_visible_object(304,false)
	set_visible_object(305,false)
	set_visible_object(306,false)
	set_visible_object(307,false)
	set_visible_object(308,false)end
								
	-- setcolor(obj[""..name1].id,1,1,1,1)
	now_attached = name1;
	SetObjectPosition(obj[""..name2].id,obj[""..name2].x,obj[""..name2].y)
	
	
	
	
	Check(name2);
end;
--проверка висюлек
function Check(name)

	


	if obj[""..name].pos == obj[""..name].pos1 then
		obj[""..name].placed = true;
		setcolor(obj[""..name].id,0.5,0.5,0.5,1);
		StopOnMouseOver(obj[""..name].id)
		StartEmiter(name);		
		
		StartEmiter("WaterDrops"..tostring(obj[name].pos1))
		flags["taps"] = flags["taps"] + 1;
		playeffect("130")
		if flags["taps"] == 8 then
			FinishMini()
		end;
		
		playeffect("047")
		StartTimer(554323,6,"startagainwaterdrops")
		
		function startagainwaterdrops()
			playeffect("047")
			StartTimer(554323,6,"startagainwaterdrops")
		end
		-- MoveEmiter(name,obj[name].x,obj[name].y);
	end;
end

function ReleaseObject(name)

	RemoveFromMouse(obj[name].id);
	SetObjectPosition(obj[name].id,obj[name].x,obj[name].y)
	Check(name);
	now_attached = nil;
	vzyali=false;
	set_visible_object(301,false)
	set_visible_object(302,false)
	set_visible_object(303,false)
	set_visible_object(304,false)
	set_visible_object(305,false)
	set_visible_object(306,false)
	set_visible_object(307,false)
	set_visible_object(308,false)
		
end;


WaitRender();

function gameinput( sender,obj_id,attachedID )


	if SLevel==1.0 then return; end;
--если не включена мини, не оброабатывать кнопки мини игры	
	if flags.mini then
	MiniInterfaceHandler( sender, obj_id );	
	end
--обработка плашки	
	if (sender == 1  or sender==5) and not isTimes  and imagetex~=-1 then
			set_visible_object(obj.plashechka.id,false)
			set_visible_object(obj[imagetex].id,false)
			del_object_from_game(5654547)		
			gameinput(26,imageid)	
	     			
	
	end
--сбрасывает висюльки
	if sender == 6 then
		if now_attached then
			local x,y
			x,y = GetCursorPos()
			if x >= obj[now_attached].x and x <= obj[now_attached].x + 24 and
			y >= obj[now_attached].y and y <= obj[now_attached].y + 68 then
				ReleaseObject(now_attached);
			end
		end;
		if flags.first_time_load then
			flags.first_time_load = false;			
		end;
	end;	
	
	
--наведение на висюльки	
if sender ==35 and not flags.mini_complete and not vzyali and flags.startmini then	
	x,y= GetObjectPosition(obj_id)
	if obj_id == obj.a25.id then set_visible_object(obj.a255.id,true)  SetObjectPosition(obj.a255.id,   x-5,   y-6)	end
	if obj_id == obj.a26.id then set_visible_object(obj.a266.id,true)  SetObjectPosition(obj.a266.id,   x-5,   y-6) end
	if obj_id == obj.a27.id then set_visible_object(obj.a277.id,true)  SetObjectPosition(obj.a277.id,   x-5,   y-6)end
	if obj_id == obj.a28.id then set_visible_object(obj.a288.id,true)  SetObjectPosition(obj.a288.id,   x-5,   y-6) end
	if obj_id == obj.a29.id then set_visible_object(obj.a299.id,true)  SetObjectPosition(obj.a299.id,   x-5,   y-6) end
	if obj_id == obj.a30.id then set_visible_object(obj.a300.id,true)  SetObjectPosition(obj.a300.id,   x-5,   y-6)end
	if obj_id == obj.a31.id then set_visible_object(obj.a311.id,true)  SetObjectPosition(obj.a311.id,   x-5,   y-6) end
	if obj_id == obj.a32.id then set_visible_object(obj.a322.id,true)  SetObjectPosition(obj.a322.id,   x-5,   y-6) end
	
	
	
	return;end
--уведение с висюлек	
	if sender ==39 and flags.startmini then
	
	if obj_id == obj.a25.id then set_visible_object(obj.a255.id,false)  end
	if obj_id == obj.a26.id then set_visible_object(obj.a266.id,false) end
	if obj_id == obj.a27.id then set_visible_object(obj.a277.id,false)  end
	if obj_id == obj.a28.id then set_visible_object(obj.a288.id,false)  end
	if obj_id == obj.a29.id then set_visible_object(obj.a299.id,false)  end
	if obj_id == obj.a30.id then set_visible_object(obj.a300.id,false)  end
	if obj_id == obj.a31.id then set_visible_object(obj.a311.id,false)  end
	if obj_id == obj.a32.id then set_visible_object(obj.a322.id,false)  end
	
	return;end

	
	if sender ==41 then	
		RotateHandler(obj_id);	
	if obj_id ==obj.dragonfly.id then	
	StartAnimation( 5555555555,1,5 );
	return;end;		
	return;end
	
	if sender == 33 then			
			-- if flags.mini_complete then
	-- OpenPlushes()
	-- end
		
		if flags.finish or flags.mini then
			ShowMenu(false);
		else
			ShowMenu(true);
			
			SwitchToSheet("re")
		end;
		SwitchToSheet("re")
	return;end;

	if sender==777 then
	
		if  flags.comics then	
			flags.comics=false;
			ShowMenu(true);	
			
			StartTimer(43342,1,"conv4")				
		function conv4()			
			
			CreatePlashechka(66,"100","goodgirl")
		end
			SwitchToSheet("re")
			flags.comics = false;
		return;end			
--закончилась мини, открываем плашки
	if flags.mini_complete then
	OpenPlushes()
	set_visible_object( obj.mini_border.id,false);
	set_visible_object( obj.mini_skip2.id,false);
	set_visible_object( obj.mini_help2.id,false);
	set_visible_object( obj.mini_skip_loading.id,false);
	set_visible_object( obj.mini_menu2.id,false);
	

	set_visible_object( obj.mini_skip1.id,false);
	set_visible_object( obj.mini_help1.id,false);

	set_visible_object( obj.mini_menu1.id,false);
	set_visible_object( obj.mini_skip.id,false);
	set_visible_object( obj.mini_help.id,false);

	set_visible_object( obj.mini_menu.id,false);	
	ShowMenu(true)
	return;end
		if top_plush_id then		
			ShowMenu(true)
		end	
--старт мини		
	if flags.ministarted then
	flags.ministarted=false;
	MiniCreate()
	BlockCursor(true)
	OpenPlushes()
	flags.start_mini=true;
	return;end
--сохранились вышли с мини, запускаем мини	
		if flags.start_mini and not flags.mini_complete then
			MiniCreate()		
		end
	end

	
	if sender==16 then
--появилась картина где плоие герои следят и один из них говорит двай проследим за ними	
		if obj_id==1012 then
		CreatePlashechka(72,"110","badman")
		nextlevel=5;		
		end
	return;end
	
	if sender==26 then
--рендер таргет перед картинкой "А тем временем"	
	if obj_id==5654547 then		
		leafobj={2235}
		GetRenderTarget(2235,"rendertar1");	
		
		function rendertar1(tex_name,tex_id)
			FlipVertical(2235);
			SetAlfa(2235,0,1,0,"vasea3353523")
			SetObjectPosition(2235,0,-256);
			LeaveObjectsOnReder("leafobj");
			
				NewObj("vremea","vremea",0,0,"");
				set_visible_object(obj.vremea.id,false)
				set_visible_object(obj.plashechka.id,false)
				set_visible_object(obj.goodgirl.id,false)
				del_object_from_game(5654547)		
				speciale_action(2,obj.vremea.id,true)
				speciale_action(4,obj.vremea.id)		
				flags.vremea=true;
				StartTimer(222,2);
				ShowMenu(false);
				imageid=5654535345354;
		end
	end
--последняя фраза на локации от плохого героя и переходим на след локацию	
	if obj_id==73 then			
		flags.finish=true;		
		UnStoreObj(obj.manuscript44.id)		
		LevelEnd(5)
	return;end

--обработка тутора в мини игре	
		if obj_id ==10 and not tutor then
		
				if i==1 then	
					RemoveWindow(8,2.8,"DestroyMyWindow")	
i=i+1;					
				return;end
		set_visible_object(obj.arrow3.id,false)
		set_visible_object(obj.arrow4.id,false)			
		set_text(1000025,"667")
		set_visible_object(obj.arrow5.id,true)
		speciale_action(4,obj.arrow5.id)
		StartAnimation(obj.arrow5.id)	
		playeffect("018")
		i=i+1;		
		return;end	
--обработчик после того как сказал фразу первый плохой герой		
		if obj_id==72 then
			CreatePlashechka(73,"111","badgirl")
			nextlevel=5;		
		return;end
		
		
		if obj_id ==11 then
		set_visible_object(obj.arrow5.id,true)
		speciale_action(4,obj.arrow5.id)
		StartAnimation(obj.arrow5.id)		
		playeffect("018")
		return;end
		if i==2 then
	RemoveWindow(8,2.8,"DestroyMyWindow")
	return;end
		
	return;end
	
	
	

	if sender == 36 then
--картинка А тем временем исчезает по таймеру
	if obj_id==222 then	
		speciale_action(2,obj.vremea.id)	
		addstaticobjecttogame(1012, "a1012",0,0,"");
		set_visible_object(1012,false)
		speciale_action(4,1012)
		speciale_action(2,1012,true);	
	end
	
--комикс с амфорой, исчезают герои по таймеру	
	if obj_id ==546 then	
		speciale_action(2,5106)
		speciale_action(2,5102,true)		
		StartTimer(547,1.5)	
	return;end
--герои исчезли появляется манускрипт	
	-- if obj_id ==547 then
		-- speciale_action(2,5102,true)
		-- speciale_action(2, obj.manuscript44.id,true);
		-- StartEmiter("manuskript")
		-- ShowMenu(true)
	-- return;end
--сообщение хелпа в мини	
	if obj_id ==1111  then
		CreateWindow(CWX,CWY,"666",10,nil,100,210);
		set_visible_object(obj.arrow3.id,true)
		set_visible_object(obj.arrow4.id,true)
		speciale_action(4,obj.arrow3.id)
		speciale_action(4,obj.arrow4.id)
		StartAnimation(obj.arrow3.id)
		playeffect("018")
		StartAnimation(obj.arrow4.id)
		BlockCursor(false)
		tutor=false
		BlockCursor(false)
	return;end;

		if obj_id == 1333 then
			set_visible_object(id0,false);
			set_visible_object(id1,true);
			if id1 == 336 then
				id1 = 333
			else
				id1 = id1 + 1;
			end;
			if id0 == 336 then
				id0 = 333
			else
				id0 = id0 + 1;
			end;
			StartTimer(1333,0.2);
		end
	end
	
	if sender == 2 then
		RemoveFromMouse(object);
		MessageProc(sender,obj_id);
	return;end;	
	
	if sender == 100 then

		
		if flags.first_time_load then		

				flags.first_time_load=false
				set_visible_object(obj.intro.id,true);
				speciale_action(4,obj.intro.id);	
				c("\n 4 lvl end of 100")
		 end;
	end

	
	if sender == 8 then
		if not flags.mini then
			HideGlove();
			HideRentgen()
			HideNvg();
		end
		if now_attached then
			ReleaseObject(now_attached);
		end
	return end;
--конец мини	
	if sender == 10 then
		FinishMini()		
	set_visible_object( obj.mini_border.id,false);
	set_visible_object( obj.mini_skip2.id,false);
	set_visible_object( obj.mini_help2.id,false);
	set_visible_object( obj.mini_skip_loading.id,false);
	set_visible_object( obj.mini_menu2.id,false);	
	set_visible_object( obj.mini_skip.id,false);
	set_visible_object( obj.mini_help.id,false);	
	set_visible_object( obj.mini_menu.id,false);		
	set_visible_object( obj.mini_skip1.id,false);
	set_visible_object( obj.mini_help1.id,false);	
	set_visible_object( obj.mini_menu1.id,false);
	ClosePlushes()
	end
--отколапсили мусор, говорит давай посотрим на фонтан	
	if sender == 12 then
		if flags.items == 14 then
			CreatePlashechka(9999,"51","goodgirl")AlternateTimer("SwitchSheet1",1000)	
		end;
		
		if obj_id==obj.manuscript44.id then
		StoreObj1(obj.manuscript44.id)		
		end
	end
	if sender==888 then	
		FinishMini();
	end
	
	if sender == 1 then		
--обработка в мини кнопок			
	-- if flags.mini then
	-- MiniInterfaceHandler( sender, obj_id );	
	-- end
	
	
	
		if butt == obj.mini_skip1.id and canskip and not flags.mini_complete then
			playeffect("019")
		 FinishMini()
		c("eeeeeee")
		set_visible_object( obj.mini_border.id, false );		
		set_visible_object( obj.mini_skip2.id, true );
		set_visible_object( obj.mini_help2.id, false );
		set_visible_object( obj.mini_skip_loading.id, false );
		set_visible_object( obj.mini_menu2.id, false );
		set_visible_object( obj.mini_skip1.id, false );
		set_visible_object( obj.mini_help1.id, false );
		set_visible_object( obj.mini_menu1.id, false );
		set_visible_object( obj.mini_skip.id, false );
		set_visible_object( obj.mini_help.id, false );
		set_visible_object( obj.mini_menu.id, false );				 
		 set_visible_object(obj.mini_skip1.id,false)
			end
		
		if butt == obj.mini_help1.id  then
		playeffect("020")
		
		if mini2lvl then 
			CreateWindow(CWX,CWY,"666",87878787,nil,170,210);	
		else
			CreateWindow(CWX,CWY,"666",87878787,nil,100,210);	
		end		
					
			 set_visible_object(obj.mini_help2.id,true)
			 set_visible_object(obj.mini_help1.id,false)
			
			set_visible_object(obj.mini_help.id,true)
			navedenie=obj.mini_help.id
			speciale_action(4,obj.mini_help.id)
			butt=-1;
		end
		
		if butt == obj.mini_menu1.id then
			showoptons();
			playeffect("021")
			 set_visible_object(obj.mini_menu2.id,true)
			 set_visible_object(obj.mini_menu1.id,false)
		end
		
		if have_sbros and butt == obj.mini_sbros1.id then
		 set_visible_object(obj.mini_sbros2.id,true)
			 set_visible_object(obj.mini_sbros1.id,false)
		gameinput(66);
			
		end
	-- if obj_id  == obj.mini_menu1.id then
			-- showoptons()			
	-- end
	
	if not tutor and flags.startmini then
		if obj_id==obj.a27.id then		
			set_visible_object(obj.arrow5.id,false)
			set_visible_object(obj.arrow6.id,true)
			speciale_action(4,obj.arrow6.id)
			StartAnimation(obj.arrow6.id)			
			playeffect("018")
		end
	end		
		
		
--тыкнули на манускрипт		
		if obj_id == obj.manuscript44.id then
			if not flags.comics2 then		
				flags.items = flags.items + 1;
				setcolor( obj.manuscript44.id, 0, 0, 0, 0.5, 1 );
				obj.manuscript44.is_collapsed = true;
				CreatePlashechka(69,"47","goodgirl",true)
				CollapseObj(obj_id);
				StartTimer(35235,3,"plashka")	
				HideGlove()
				canmenu=true
				function plashka()
					set_text(5654547,"46")
					isTimes=false;
					imageid=5654547				
				end
				function plashka1()
			
				return;end
				
			 end;
		return;end
--тыкаем на мусор		
		if obj_id >= obj.wine_glass44.id and obj_id <= obj.manuscript44.id then
	
			CollapseObj(obj_id);
			
			last_id = obj_id			
			flags.items = flags.items + 1;
			if flags.items == 14 then
				StartEmiter("HighlightFountain");
				Set_Cursor(36,2)
				Set_Cursor(38,2)
				Set_Cursor(39,2)
				Set_Cursor(40,2)
				Set_Cursor(41,2)
				flags.wait_mini = true;
			end
		return; end;
--тыкаем на амфору		
		-- if obj_id == obj.amfora44.id then
			-- CollapseObj(obj_id);
			-- set_visible_object( obj.mini_skip2.id,false);
			-- set_visible_object( obj.mini_skip1.id,false);
			-- set_visible_object( obj.mini_skip.id,false);
			-- speciale_action(2,obj.amfora44.id,true)
			-- setcolor( obj.amfora44.id, 0, 0, 0, 0.5, 1 );
			-- obj.amfora44.is_collapsed = true;
			-- AlternateTimer("StartComics",1500)
		-- end
--тыкаем на висюльки		
		if obj_id >= 36 and obj_id <= 41 then
			if flags.wait_mini then						
				ClosePlushes()
				flags.ministarted=true;
				
			end;
		return;end;
		
------------ MINI ------------------------
		if obj_id >= obj.a25.id and obj_id <= obj.a32.id and flags.startmini then
			for i, v in pairs( obj ) do
				if obj[i].id == obj_id then
					if flags.mini then
						if not obj[i].placed then
							if not now_attached then
								if i~="a27" and not tutor then return end
								add_to_mouse(obj_id);
								playeffect("045")
								now_attached = i;
								vzyali=true;
								
								
								
								set_visible_object(obj.a255.id,false)
								set_visible_object(obj.a266.id,false)
								set_visible_object(obj.a277.id,false)
								set_visible_object(obj.a288.id,false)
								set_visible_object(obj.a299.id,false)
								set_visible_object(obj.a300.id,false)
								set_visible_object(obj.a311.id,false)
								set_visible_object(obj.a322.id,false)	
								
								
								
								if obj_id == obj.a25.id then  speciale_action(2,307) end
								if obj_id == obj.a26.id then  speciale_action(2,305)end
								if obj_id == obj.a27.id then  speciale_action(2,303)end
								if obj_id == obj.a28.id then  speciale_action(2,306)end
								if obj_id == obj.a29.id then  speciale_action(2,308)end
								if obj_id == obj.a30.id then  speciale_action(2,304)end
								if obj_id == obj.a31.id then  speciale_action(2,301)end
								if obj_id == obj.a32.id then  speciale_action(2,302)end
								
							else
								swap(i,now_attached);
		end;end;end;end;end;end
		
	
	return; end;	
end;

function SelectRandom()
local dist=-1;local a=-1;local b=-1;local v=100;local t=-1;local diag=-1;
local width = -1;local height = -1;local radius=1.2;

if flags.items == 15 then


return;end
--собрали предметы летим на фонтан	
	if flags.items == 14 then
		-- DO something
		
		if not flags.mini_complete then
		computation(38);			
		else	
			if not flags.comics1 then
			-- computation(obj.amfora44.id);	
			computation(obj.manuscript44.id);		
			else
			computation(obj.manuscript44.id);			
			end
		return end
	return end
	ok = false
	while not ok do
		help_id = GetRandomObject();
		for i,v in pairs(obj) do
			if v.id == help_id and not v.is_collapsed then
				ok = true
				
				if help_id ==obj.amfora44.id or help_id== obj.manuscript44.id then
				SelectRandom();
				return;end
				x,y=GetObjectPosition(v.id);
				x1,y1=GetObjectPosition(obj.dragonfly.id);
				width,height = GetObjectSize(v.id)
				a= (x-x1); b= (y-y1);  dist= math.sqrt (a^2+b^2);				
		        t=dist/400;		
                r = (math.sqrt(width^2+height^2)*0.5);		
				
				if r<50 then	r=75;	radius=4;	end  -- при радиусе меньше 50 определяем время кружения и радиус стрекозы
				
				if r>50 and r <100 then	r=87 radius=2.5;  end  --при радиусе больше 50 и меньше 100
				
				if r>100 then 	r=100 	radius=0.75;  end  -- при радиусе больше 100
				
				StartBigTravel(obj.dragonfly.id, v.id, 0, t, r/90, t, 2 ,radius);
			return end
		end
	end
end;
